com.hazelcast.config

## Class AtomicLongConfig

- java.lang.Object
- - com.hazelcast.config.AbstractBasicConfig<AtomicLongConfig>
  - - com.hazelcast.config.AtomicLongConfig

- All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, SplitBrainMergeTypeProvider

      public class AtomicLongConfig
      extends AbstractBasicConfig<AtomicLongConfig>

  Contains the configuration for an `AtomicLong`.
  Since:
    3.10

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.AbstractBasicConfig

      `mergePolicyConfig, name, quorumName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomicLongConfig(AtomicLongConfig config)`
    `AtomicLongConfig(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `AtomicLongConfig` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `int` | `getId()` Returns type identifier for this class.
    `Class` | `getProvidedMergeTypes()`
    `int` | `hashCode()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class com.hazelcast.config.AbstractBasicConfig

      `getFactoryId, getMergePolicyConfig, getName, getQuorumName, setMergePolicyConfig, setName, setQuorumName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomicLongConfig

          public AtomicLongConfig(String name)

    - #### AtomicLongConfig

          public AtomicLongConfig(AtomicLongConfig config)

  - ### Method Detail

    - #### getProvidedMergeTypes

          public Class getProvidedMergeTypes()

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getAsReadOnly

          public AtomicLongConfig getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Returns:
        immutable version of this configuration

Copyright © 2020. All rights reserved.